Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DbSite..::.Legacy Property
DbSite Class See Also Send Feedback

Whether the site is within a legacy group.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool Legacy { get; set; }

Visual Basic (Declaration)
    Public Property Legacy As Boolean

Visual C++
    public:
    property bool Legacy {
    	bool get ();
    	void set (bool value);
    }

# Remarks

Specify the site in a legacy group. It would be considered as part of an existing group, upgrading from a previous version of BDB. All sites in the legacy group must specify this for themselves (the local site) and for all other sites initially in the group.

# See Also

DbSite Class
BerkeleyDB Namespace